Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations
GETShared Block Primary Storage OperationsSince 2.3.2SynchronousAuth Required

QuerySharedBlockGroupPrimaryStorageHostRef

QuerySharedBlockGroupPrimaryStorageHostRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • primaryStorageUuidStringRequired

      The UUID of the Shared Block primary storage.

    • hostUuidStringRequired

      The host UUID.

    • hostIdIntegerRequired

      The host ID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusPrimaryStorageHostStatusRequired

      See status.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

GET/zstack/v1/sharedblock-group/host-refs

/zstack/v1/sharedblock-group/host-refs

Operation ID

QuerySharedBlockGroupPrimaryStorageHostRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sharedblock-group/host-refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "primaryStorageUuid": "a9e96e98cc2c3a3baa23e31503fc93e6", "hostUuid": "7c5510f255663a3cbfd53367c0172507", "hostId": 100.0, "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history